<div class="container">
  <div class="row" style="padding-top: 2rem">
    <div class="col"></div>
    <div class="col-sm-6 align-items-center">
      <div class="card">
        <div class="card-header">
          <h4>Login</h4>
        </div>
        <div class="card-body">
          <form *ngIf="!isLoggedIn" name="form" (ngSubmit)="f.form.valid && onSubmit()" #f="ngForm" novalidate>
            <div class="form-group">
              <label for="email">Email address</label>
              <input
                type="email"
                class="form-control"
                id="email"
                name="email"
                [(ngModel)]="form.email"
                placeholder="name@example.com"
                required
                #email="ngModel"
              />
              <div class="alert alert-danger" role="alert" *ngIf="f.submitted && email.invalid">Email is required!</div>
            </div>
            <div class="form-group">
              <label for="password">Password</label>
              <input
                type="password"
                class="form-control"
                id="password"
                name="password"
                [(ngModel)]="form.password"
                required
                minlength="4"
                #password="ngModel"
              />
              <div class="alert alert-danger" role="alert" *ngIf="f.submitted && password.invalid">
                <div *ngIf="password.hasError('required')">Password is required</div>
                <div *ngIf="password.hasError('minlength')">Password must be at least 4 characters</div>
              </div>
            </div>
            <button class="btn btn-primary">Login</button>
            <a href="/register" class="register">Register</a>
            <div class="form-group">
              <div class="alert alert-danger" role="alert" *ngIf="f.submitted && isLoginFailed">
                Login failed: {{ errorMessage }}
              </div>
            </div>
          </form>
          <div class="alert alert-success" *ngIf="isLoggedIn">Logged in.</div>
        </div>
      </div>
    </div>
    <div class="col"></div>
  </div>
</div>
